ruby-text_1.3.0-1_all.deb


Advertisement

Description

ruby-text - Collection of text algorithms for Ruby

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-text
Package version: 1.3.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 88 B
Download size: 12.76 KB
Official Mirror: archive.ubuntu.com
A collection of text algorithms: Levenshtein, Soundex, Metaphone, Double Metaphone, Figlet, Porter Stemming. Library can be used to extend String and compare strings with errors or other algos.

Alternatives

    Download

    Binary package: ruby-text_1.3.0-1_all.deb
    Source package: ruby-text

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-text deb package:
      # sudo apt-get install ruby-text

    Files

    • /usr/lib/ruby/vendor_ruby/text.rb
    • /usr/lib/ruby/vendor_ruby/text/double_metaphone.rb
    • /usr/lib/ruby/vendor_ruby/text/levenshtein.rb
    • /usr/lib/ruby/vendor_ruby/text/metaphone.rb
    • /usr/lib/ruby/vendor_ruby/text/porter_stemming.rb
    • /usr/lib/ruby/vendor_ruby/text/soundex.rb
    • /usr/lib/ruby/vendor_ruby/text/version.rb
    • /usr/lib/ruby/vendor_ruby/text/white_similarity.rb
    • /usr/share/doc/ruby-text/README.rdoc
    • /usr/share/doc/ruby-text/changelog.Debian.gz
    • /usr/share/doc/ruby-text/copyright
    • /usr/share/rubygems-integration/all/specifications/text-1.3.0.gemspec

    Changelog

    2014-10-13 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-text (1.3.0-1) unstable; urgency=low * Team upload. * Imported Upstream version 1.3.0 * d/control: - bumped up standards version to 3.9.6 (no changes needed) - added testsuite header - switched homepage to https * d/copyright: - update copyright to Expat - switched homepage to https

    2013-08-20 - Guillaume Bouteille <duffman@gb2n.org> ruby-text (1.2.1-1) unstable; urgency=low * Team upload [ Cédric Boutillier ] * New upstream version + Build successfuly with ruby2.0 (Closes: #720222) * update copyright file to DEP-5 copyright-format/1.0 [ Guillaume Bouteille ] * Use rake with the Rakefile to test * Check and update Standards-Version to 3.9.4 (no changes needed)

    2012-02-19 - Olivier Sallou <olivier.sallou@irisa.fr> ruby-text (1.0.3-1) unstable; urgency=low * New upstream release

    2011-12-18 - Olivier Sallou <olivier.sallou@irisa.fr> ruby-text (1.0.2-1) unstable; urgency=low * New upstream release

    2011-10-03 - Olivier Sallou <olivier.sallou@irisa.fr> ruby-text (0.2.0-1) unstable; urgency=low * Initial release (Closes: #644136)

    Advertisement
    Advertisement